
From: Luiz Fernando Capitulino <lcapitulino@prefeitura.sp.gov.br>

sound/oss/opl3sa2.c:163: warning: `opl3sa2_lock' defined but not used


---

 25-akpm/sound/oss/opl3sa2.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN sound/oss/opl3sa2.c~opl3sa2-warning-fix sound/oss/opl3sa2.c
--- 25/sound/oss/opl3sa2.c~opl3sa2-warning-fix	Thu Mar 25 14:28:08 2004
+++ 25-akpm/sound/oss/opl3sa2.c	Thu Mar 25 14:28:08 2004
@@ -160,7 +160,6 @@ typedef struct {
 } opl3sa2_state_t;
 static opl3sa2_state_t opl3sa2_state[OPL3SA2_CARDS_MAX];
 
-static spinlock_t opl3sa2_lock = SPIN_LOCK_UNLOCKED;
 	
 
 /* Our parameters */
@@ -853,6 +852,8 @@ static struct pnp_driver opl3sa2_driver 
 /* End of component functions */
 
 #ifdef CONFIG_PM
+static spinlock_t opl3sa2_lock = SPIN_LOCK_UNLOCKED;
+
 /* Power Management support functions */
 static int opl3sa2_suspend(struct pm_dev *pdev, unsigned int pm_mode)
 {

_
